Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1487640 - [abrt] solaar: update(): window.py:795:update:AssertionError
Summary: [abrt] solaar: update(): window.py:795:update:AssertionError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:299c4a310e05b25171d8208def4...
: 1517571 1518448 1585380 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 13:11 UTC by John Griffiths
Modified: 2018-08-07 01:15 UTC (History)
6 users (show)

Fixed In Version: solaar-0.9.2-7.20180720git59b7285.fc27 solaar-0.9.2-7.20180720git59b7285.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 00:11:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: cgroup (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: cpuinfo (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: environ (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: mountinfo (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: namespaces (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details
File: open_fds (deleted)
2017-09-01 13:11 UTC, John Griffiths
no flags Details

Description John Griffiths 2017-09-01 13:11:47 UTC
Version-Release number of selected component:
solaar-0.9.2-4.20150528gitcf27328.fc26.5

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
kernel:         4.12.8-300.fc26.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
window.py:795:update:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python2.7/site-packages/solaar/ui/window.py", line 795, in update
    assert device.receiver
AssertionError

Local variables in innermost frame:
device: <PairedDevice(2,200A,K350)>
is_paired: False
selected_device_id: None
need_popup: 0

Potential duplicate: bug 1227465

Comment 1 John Griffiths 2017-09-01 13:11:52 UTC
Created attachment 1320954 [details]
File: backtrace

Comment 2 John Griffiths 2017-09-01 13:11:53 UTC
Created attachment 1320955 [details]
File: cgroup

Comment 3 John Griffiths 2017-09-01 13:11:54 UTC
Created attachment 1320956 [details]
File: cpuinfo

Comment 4 John Griffiths 2017-09-01 13:11:55 UTC
Created attachment 1320957 [details]
File: environ

Comment 5 John Griffiths 2017-09-01 13:11:57 UTC
Created attachment 1320958 [details]
File: mountinfo

Comment 6 John Griffiths 2017-09-01 13:11:58 UTC
Created attachment 1320959 [details]
File: namespaces

Comment 7 John Griffiths 2017-09-01 13:11:59 UTC
Created attachment 1320960 [details]
File: open_fds

Comment 8 John Griffiths 2017-09-26 15:48:56 UTC
Is Solaar still active? Is there a replacement for monitoring Logitec Unifying devices?

Comment 9 Jason Tibbitts 2017-09-26 15:54:31 UTC
Solaar is still active upstream, but has not made any kind of release in quite some time.  The Fedora package should probably be updated but it would just be to another git snapshot which would have another assortment of issues.

Comment 10 Jason Tibbitts 2017-09-26 16:15:52 UTC
Totally untested scratch build of current solaar git tree:

https://koji.fedoraproject.org/koji/taskinfo?taskID=22087446

Comment 11 John Griffiths 2017-09-26 16:36:02 UTC
Thanks.

I took a chance and installed solaar-0.9.2-4.20150528gitcf27328.fc28.7.noarch.rpm

It seems to be working just fine on FC26. It has not exited and is showing all the devices and has survived a logout and logint. Have not tested beyond that. But that is far better than the current rpm on FC26.

Maybe this build can be pushed back to FC26?

Comment 12 Jason Tibbitts 2017-09-26 22:40:28 UTC
I'm a bit confused, because according to that you pulled the rawhide package and installed it on F26.  Which is fine if the dependencies work out, but that package has exactly two commits which aren't in the F26 package:

commit 3aa9aca6812e81597a4023864210ced6c2d84949 (HEAD -> master, origin/master, origin/HEAD)
Author: Richard Fearn <richardfearn@gmail.com>
Date:   Sat Sep 16 17:53:05 2017 +0100

    Remove unnecessary Group: tags

commit 61495e39fb88611e40dc214120c18cf2d23c826f (origin/f27)
Author: Fedora Release Engineering <releng@fedoraproject.org>
Date:   Thu Jul 27 18:54:17 2017 +0000

    - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild


Neither of these has any functionality changes at all.  So there is no reason why it would perform any better than the F26 package, and there's certainly nothing which could be backported to F26.

If instead you actually tested the untested build I provided then that would be particularly useful information.

Comment 13 John Griffiths 2017-09-28 18:15:43 UTC
Agree with you and sorry for the confusion on my part. The solaar-0.9.2-4.20150528gitcf27328.fc28.7.noarch.rpm eventually has same aberrant behavior as the standard FC26 rpm.

I will test the untested build and report back.

Comment 14 John Griffiths 2017-09-28 18:39:51 UTC
I installed the test build. When it first started, it had the connection to the unifying receiver, keyboard, and mouse. After running for a while, it lost the devices.

The previous rpm would sometimes lose all of the devices. The test build just did. Sometimes on restart, it will have only the unifying receiver, sometimes only the keyboard, and sometimes all three; receiver, keyboard, and mouse.

I have never seen it where is only had receiver and mouse.

Comment 15 John Griffiths 2017-09-28 18:42:28 UTC
When I start Solaar from the command line, I get these messages:

$ solaar
/usr/lib/python2.7/site-packages/solaar/gtk.py:34: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  __import__(module)
/usr/lib/python2.7/site-packages/solaar/ui/notify.py:33: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify

Comment 16 John Griffiths 2017-09-28 18:57:32 UTC
Took about 20 minutes for Solaar to lose the devices. There were no additional messages in the terminal in which it was started.

Comment 17 John Griffiths 2017-09-28 19:00:53 UTC
Started solaar with -d. Getting messages like this with every mouse movement.

14:59:07,940  WARNING [ReceiverListener:hidraw0] logitech_receiver.notifications: <PairedDevice(3,101A,Performance MX)>: unrecognized Notification(3,02,00,0001000000000000000000)
14:59:07,948  WARNING [ReceiverListener:hidraw0] logitech_receiver.notifications: <PairedDevice(3,101A,Performance MX)>: unrecognized Notification(3,02,00,0001200000000000000000)
14:59:07,996  WARNING [ReceiverListener:hidraw0] logitech_receiver.notifications: <PairedDevice(3,101A,Performance MX)>: unrecognized Notification(3,02,00,0000100000000000000000)
14:59:08,020  WARNING [ReceiverListener:hidraw0] logitech_receiver.notifications: <PairedDevice(3,101A,Performance MX)>: unrecognized Notification(3,02,00,0001000000000000000000)

Comment 18 John Griffiths 2017-09-28 19:31:59 UTC
When Solaar lost connection, this is the output in the terminal.

15:24:29,015    ERROR [ReceiverListener:hidraw0] logitech_receiver.base: write failed, assuming handle 14 no longer available
15:24:29,015    ERROR [ReceiverListener:hidraw0] logitech_receiver.listener: processing Notification(2,41,04,B10A20)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/logitech_receiver/listener.py", line 185, in run
    self._notifications_callback(n)
  File "/usr/lib/python2.7/site-packages/solaar/listener.py", line 207, in _notifications_handler
    _notifications.process(dev, n)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/notifications.py", line 54, in process
    return _process_device_notification(device, status, notification)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/notifications.py", line 97, in _process_device_notification
    return _process_hidpp10_notification(device, status, n)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/notifications.py", line 174, in _process_hidpp10_notification
    status.changed(active=link_established)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/status.py", line 253, in changed
    self[KEYS.NOTIFICATION_FLAGS] = d.enable_notifications()
  File "/usr/lib/python2.7/site-packages/logitech_receiver/receiver.py", line 270, in enable_notifications
    ok = _hidpp10.set_notification_flags(self, set_flag_bits)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/hidpp10.py", line 328, in set_notification_flags
    result = write_register(device, REGISTERS.notifications, _int2bytes(flag_bits, 3))
  File "/usr/lib/python2.7/site-packages/logitech_receiver/hidpp10.py", line 149, in write_register
    return device.request(request_id, *value)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/receiver.py", line 281, in request
    return _base.request(self.receiver.handle, self.number, request_id, *params)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/base.py", line 340, in request
    write(ihandle, devnumber, request_data)
  File "/usr/lib/python2.7/site-packages/logitech_receiver/base.py", line 171, in write
    raise NoReceiver(reason=reason)
NoReceiver: {'reason': OSError(32, 'Broken pipe')}
15:24:29,017    ERROR [ReceiverListener:hidraw0] logitech_receiver.base: read failed, assuming handle 14 no longer available
15:24:29,017  WARNING [ReceiverListener:hidraw0] logitech_receiver.listener: receiver disconnected
15:24:29,018     INFO [ReceiverListener:hidraw0] solaar.listener: <UnifyingReceiver(/dev/hidraw0,14)>: notifications listener has stopped


Solaar was still running. It did not show any devices.

Comment 19 John Griffiths 2017-10-29 14:43:21 UTC
Similar problem has been detected:

All I did was log in to KDE.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
kernel:         4.13.9-200.fc26.x86_64
package:        solaar-0.9.2-4.20150528gitcf27328.fc26.5
reason:         window.py:795:update:AssertionError
runlevel:       N 5
type:           Python
uid:            1000

Comment 20 John Griffiths 2018-01-23 01:33:59 UTC
Solaar loses contact with the mouse and keyboard. It reconnects when stopped and restarted by killing or by logging out of session and logging back in again.

After it has been reconnected for a while, it again loses connection. I suspect it may be because of the KDE Info Center since it also reports on the battery status of the mouse and keyboard under Device Information -> Device Viewer -> Batteries

This just conjecture.

Comment 21 Fedora End Of Life 2018-05-03 08:02:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 John Griffiths 2018-05-26 23:01:12 UTC
Still happening in Fedora 28, solaar-0.9.2-4.20150528gitcf27328.fc28.8.noarch

Comment 23 Jason Tibbitts 2018-07-27 21:18:23 UTC
*** Bug 1585380 has been marked as a duplicate of this bug. ***

Comment 24 Jason Tibbitts 2018-07-27 21:18:34 UTC
*** Bug 1517571 has been marked as a duplicate of this bug. ***

Comment 25 Jason Tibbitts 2018-07-27 21:18:37 UTC
*** Bug 1518448 has been marked as a duplicate of this bug. ***

Comment 26 Fedora Update System 2018-07-27 22:50:45 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85e3e35eaf

Comment 27 Fedora Update System 2018-07-27 22:51:14 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad7ef4a922

Comment 28 Fedora Update System 2018-07-29 00:52:36 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85e3e35eaf

Comment 29 Fedora Update System 2018-07-29 03:35:16 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad7ef4a922

Comment 30 Fedora Update System 2018-08-07 00:11:24 UTC
solaar-0.9.2-7.20180720git59b7285.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2018-08-07 01:15:24 UTC
solaar-0.9.2-7.20180720git59b7285.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.